Package org.drinkless.tdlib

# Class TdApi.Game

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Game

Enclosing class:
  `TdApi`

public static class TdApi.Game extends TdApi.Object
Describes a game. Use getInternalLink with internalLinkTypeGame to share the game.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.Animation`
  `animation`
  Game animation; may be null.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `description`
  Game description.
  `long`
  `id`
  Unique game identifier.
  `TdApi.Photo`
  `photo`
  Game photo.
  `String`
  `shortName`
  Game short name.
  `TdApi.FormattedText`
  `text`
  Game text, usually containing scoreboards for a game.
  `String`
  `title`
  Game title.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Game()`
  Describes a game.
  `Game(long id, String shortName, String title, TdApi.FormattedText text, String description, TdApi.Photo photo, TdApi.Animation animation)`
  Describes a game.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Unique game identifier.

  - ### shortName

    public String shortName
    Game short name.

  - ### title

    public String title
    Game title.

  - ### text

    public TdApi.FormattedText text
    Game text, usually containing scoreboards for a game.

  - ### description

    public String description
    Game description.

  - ### photo

    public TdApi.Photo photo
    Game photo.

  - ### animation

    @Nullable public TdApi.Animation animation
    Game animation; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Game

    public Game()
    Describes a game. Use getInternalLink with internalLinkTypeGame to share the game.

  - ### Game

    public Game(long id, String shortName, String title, TdApi.FormattedText text, String description, TdApi.Photo photo, TdApi.Animation animation)
    Describes a game. Use getInternalLink with internalLinkTypeGame to share the game.
    Parameters:
      `id` - Unique game identifier.
      `shortName` - Game short name.
      `title` - Game title.
      `text` - Game text, usually containing scoreboards for a game.
      `description` - Game description.
      `photo` - Game photo.
      `animation` - Game animation; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR